Upstream information

CVE-2013-0263 at MITRE

Description

Rack::Session::Cookie in Rack 1.5.x before 1.5.2, 1.4.x before 1.4.5, 1.3.x before 1.3.10, 1.2.x before 1.2.8, and 1.1.x before 1.1.6 allows remote attackers to guess the session cookie, gain privileges, and execute arbitrary code via a timing attack involving an HMAC comparison function that does not run in constant time.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.10
Vector AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 802794 [RESOLVED / FIXED], 809839 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Studio Extension for System z 1.2
SUSE Studio Onsite 1.2 [Appliance - Studio]
SUSE Studio Standard Edition 1.2
WebYaST 1.2
  • rubygem-rack >= 1.1.6-0.8.8.1
Builds
SAT Patch Nr: 7389
SUSE Cloud 1.0
SUSE Linux Enterprise Software Development Kit 11 SP2
  • rubygem-rack >= 1.1.6-0.9.2
Builds
SAT Patch Nr: 7388
SUSE Linux Enterprise Software Development Kit 11 SP2
  • rubygem-rack-1_3 >= 1.3.10-0.5.1
Builds
SAT Patch Nr: 7387
BDK 11 SP2
  • rubygem-actionmailer-3_2 >= 3.2.12-0.5.9
  • rubygem-actionpack-3_2 >= 3.2.12-0.7.1
  • rubygem-activemodel-3_2 >= 3.2.12-0.5.8
  • rubygem-activerecord-3_2 >= 3.2.12-0.7.1
  • rubygem-activeresource-3_2 >= 3.2.12-0.5.8
  • rubygem-rails-3_2 >= 3.2.12-0.5.10
  • rubygem-railties-3_2 >= 3.2.12-0.7.9
Builds
SAT Patch Nr: 7617
SUSE Linux Enterprise Software Development Kit 11 SP2
  • rubygem-activesupport-3_2 >= 3.2.12-0.5.8
  • rubygem-rack-1_4 >= 1.4.5-0.5.8
Builds
SAT Patch Nr: 7617
SUSE Lifecycle Management Server 1.3
SUSE Studio Onsite 1.3
WebYaST 1.3
  • rubygem-actionmailer-3_2 >= 3.2.12-0.5.9
  • rubygem-actionpack-3_2 >= 3.2.12-0.7.1
  • rubygem-activemodel-3_2 >= 3.2.12-0.5.8
  • rubygem-activerecord-3_2 >= 3.2.12-0.7.1
  • rubygem-activeresource-3_2 >= 3.2.12-0.5.8
  • rubygem-activesupport-3_2 >= 3.2.12-0.5.8
  • rubygem-rack-1_4 >= 1.4.5-0.5.8
  • rubygem-rails-3_2 >= 3.2.12-0.5.10
  • rubygem-railties-3_2 >= 3.2.12-0.7.9
Builds
SAT Patch Nr: 7617
openSUSE Evergreen 11.4
  • rubygem-actionmailer >= 2.3.17-14.1
  • rubygem-actionmailer-2_3 >= 2.3.17-0.24.1
  • rubygem-actionmailer-2_3-doc >= 2.3.17-0.24.1
  • rubygem-actionmailer-2_3-testsuite >= 2.3.17-0.24.1
  • rubygem-actionpack >= 2.3.17-14.1
  • rubygem-actionpack-2_3 >= 2.3.17-31.1
  • rubygem-actionpack-2_3-doc >= 2.3.17-31.1
  • rubygem-actionpack-2_3-testsuite >= 2.3.17-31.1
  • rubygem-activerecord >= 2.3.17-14.1
  • rubygem-activerecord-2_3 >= 2.3.17-27.1
  • rubygem-activerecord-2_3-doc >= 2.3.17-27.1
  • rubygem-activerecord-2_3-testsuite >= 2.3.17-27.1
  • rubygem-activeresource >= 2.3.17-14.1
  • rubygem-activeresource-2_3 >= 2.3.17-24.1
  • rubygem-activeresource-2_3-doc >= 2.3.17-24.1
  • rubygem-activeresource-2_3-testsuite >= 2.3.17-24.1
  • rubygem-activesupport >= 2.3.17-14.1
  • rubygem-activesupport-2_3 >= 2.3.17-24.1
  • rubygem-activesupport-2_3-doc >= 2.3.17-24.1
  • rubygem-rack >= 1.1.6-16.1
  • rubygem-rails >= 2.3.17-14.1
  • rubygem-rails-2_3 >= 2.3.17-20.1
  • rubygem-rails-2_3-doc >= 2.3.17-20.1
Patchnames:
2013-42